Bug 26018 - Not all subfields for the following tags are in the same tab (or marked 'ignored')
Summary: Not all subfields for the following tags are in the same tab (or marked 'igno...
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: 20.05
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-18 09:36 UTC by PS Mukhopadhyay
Modified: 2020-11-17 04:02 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.06


Attachments
Bug 26018: Fix frameworks errors with subfields in wrong tab (3.41 KB, patch)
2020-07-18 13:01 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 26018: Fix frameworks errors with subfields in wrong tab (3.46 KB, patch)
2020-09-16 15:27 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26018: Fix frameworks errors with subfields in wrong tab (3.62 KB, patch)
2020-10-13 11:35 UTC, Joonas Kylmälä
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description PS Mukhopadhyay 2020-07-18 09:36:03 UTC
In a fresh install of Koha 20.05.01.000 the 'MARC bibliographic framework test' fails in one point reporting that "Not all subfields for the following tags are in the same tab (or marked 'ignored')" for all preloaded formats (Default to VR). In every case invariably the culprit is subfield 2  of the below mentioned tags -

240(1,2) | 700 (1,7) | 710 (1,7) | 711 (1,7) | 730 (1,7) | 758 (1,7) | 800 (1,8) | 810 (1,8) | 811 (1,8) | 830 (1,8). 

The numbers within parenthesis indicate tabs are in use. 

It only occurs in case of a fresh installation of 20.05.01 loaded with default formats (Default, AR, BKS, CF, IR, KT, SER, SR, VR), not with the upgradations of 18.x or 19.x to 20.05.01
Comment 1 Katrin Fischer 2020-07-18 09:44:15 UTC
Hi, which language did you choose - English?
Comment 2 PS Mukhopadhyay 2020-07-18 11:54:19 UTC
Yes, English.
Comment 3 Katrin Fischer 2020-07-18 13:01:19 UTC
Created attachment 107054 [details] [review]
Bug 26018: Fix frameworks errors with subfields in wrong tab

All subfields for a MARC21 field should always be in the same tab.
There were some mistakes found by the "MARC bibliographic framework
test" this fixes.

Before you apply the patch:
- Check the "MARC bibliographic framework test" page
- Ideally you should see the "wrong tab" mistakes
- Reset your db (reset_all) or drop your db and run the web installer
- Verify the page no longer points out any issues
Comment 4 Martin Renvoize 2020-09-16 15:27:40 UTC
Created attachment 110221 [details] [review]
Bug 26018: Fix frameworks errors with subfields in wrong tab

All subfields for a MARC21 field should always be in the same tab.
There were some mistakes found by the "MARC bibliographic framework
test" this fixes.

Before you apply the patch:
- Check the "MARC bibliographic framework test" page
- Ideally you should see the "wrong tab" mistakes
- Reset your db (reset_all) or drop your db and run the web installer
- Verify the page no longer points out any issues

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2020-09-16 15:28:11 UTC
Excellent, works as expected.. Signing off.
Comment 6 Joonas Kylmälä 2020-10-13 11:35:08 UTC
Created attachment 111536 [details] [review]
Bug 26018: Fix frameworks errors with subfields in wrong tab

All subfields for a MARC21 field should always be in the same tab.
There were some mistakes found by the "MARC bibliographic framework
test" this fixes.

Before you apply the patch:
- Check the "MARC bibliographic framework test" page
- Ideally you should see the "wrong tab" mistakes
- Reset your db (reset_all) or drop your db and run the web installer
- Verify the page no longer points out any issues

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Joonas Kylmälä <joonas.kylmala@helsinki.fi>
Comment 7 Jonathan Druart 2020-10-14 11:03:44 UTC
(In reply to PS Mukhopadhyay from comment #0)
> It only occurs in case of a fresh installation of 20.05.01 loaded with
> default formats (Default, AR, BKS, CF, IR, KT, SER, SR, VR), not with the
> upgradations of 18.x or 19.x to 20.05.01


Which means it's a regression, so I thought about bug 24594.
However, I have checked for 240$2 and it was in tab 1 already:

('240', '2', 'Source of heading or term', 'Source of heading or term', 0, 0, '', 1, '', '', '', NULL, -6, '', '', '', NULL),

Should we fix existing installations?
Comment 8 Katrin Fischer 2020-10-14 11:37:28 UTC
I have thought about it, but it's probably not so easy. For custom frameworks people might have moved fields to different tabs intentionally (think FA framework), the problem is that they should not split subfields on different tabs. So if we find a case where people have a on tab 1 and b on tab 2 ... how would we clean that up?

We have the test in the GUI, maybe we should put a reminder on release notes that people should check it and fix errors pointed out?
Comment 9 Jonathan Druart 2020-10-14 12:54:27 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 10 Lucas Gass 2020-11-13 14:29:38 UTC
backported to 20.05.x for 20.05.06
Comment 11 Herbert Janes 2020-11-16 23:09:43 UTC
I have found this bug in a fresh install of 19.11.11.000.  Is the fix the same?
Comment 12 Aleisha Amohia 2020-11-17 04:02:28 UTC
(In reply to Herbert Janes from comment #11)
> I have found this bug in a fresh install of 19.11.11.000.  Is the fix the
> same?

Yes, can confirm this bug exists in 19.11.x, however the fix is not the same. This can't be backported to 19.11.x. Please rebase for 19.11.x